SDL_winrtapp_direct3d.h File Reference
`#include <Windows.h>`
Include dependency graph for SDL_winrtapp_direct3d.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | sealed

## Functions

int | SDL_WinRTInitNonXAMLApp (int(*mainFunction)(int, char **))

## Variables

SDL_WinRTApp | SDL_WinRTGlobalApp

## Function Documentation

int SDL_WinRTInitNonXAMLApp | ( | int(*)(int, char **) | mainFunction | ) |

Definition at line 117 of file SDL_winrtapp_direct3d.cpp.

References Run(), and WINRT_SDLAppEntryPoint.

Referenced by SDL_WinRTRunApp().

{
WINRT_SDLAppEntryPoint = mainFunction;
auto direct3DApplicationSource = ref new SDLApplicationSource();
CoreApplication::Run(direct3DApplicationSource);
return 0;
}
Run
int Run(void *data)
Definition: testlock.c:65
WINRT_SDLAppEntryPoint
int(* WINRT_SDLAppEntryPoint)(int, char **)
Definition: SDL_winrtapp_common.cpp:27
ref
GLenum GLint ref
Definition: SDL_opengl_glext.h:657

## Variable Documentation

SDL_WinRTApp SDL_WinRTGlobalApp

Definition at line 95 of file SDL_winrtapp_direct3d.cpp.